DDoS Mitigation

List Firewall Rules

get/ddos-mitigation/firewall-rules/{network}

List all firewall rules for a specific IP/network.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

network*string

Responses

Successful Response

application/json

rules*array<FirewallRuleOut>
Properties (14)
network*string
protocol*integer
Range0 ≤ value ≤ 255
dst_port*integer
Range0 ≤ value ≤ 65535
action*integer
Range0 ≤ value
id*integer
action_label?string
Default""
tcp_syn?integer
Default0
tcp_ack?integer
Default0
tcp_synack?integer
Default0
tcp_rst?integer
Default0
tcp_fin?integer
Default0
tcp_all?integer
Default0
udp?integer
Default0
icmp?integer
Default0
total*integer